#
# spec file for package ico
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ico
Version:        1.0.6
Release:        1.9
Summary:        Simple animation program used for testing X11 operations and extensions
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11) >= 0.99.1
BuildRequires:  pkgconfig(xproto) >= 7.0.22
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ico is a simple animation program that may be used for testing various
X11 operations and extensions. It displays a wire-frame rotating
polyhedron, with hidden lines removed, or a solid-fill polyhedron with
hidden faces removed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/ico
%{_mandir}/man1/ico.1%{?ext_man}

%changelog
* Wed Aug 31 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * Apply scope reduction suggestions from cppcheck
  * Rename global "poly" to fix gcc -Wshadow warnings
  * Add cast to clear -Wsign-compare warning
* Thu Apr  5 2018 sndirsch@suse.com
- Update to version 1.0.5
  * autogen.sh changes
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * Combine usage message array into single string
  * Print which option was in error along with usage message
  * Add -version option to print program version
  * Make polygon info const - moves 22k from .data to .rodata
  * Convert icoFatal() to be a varargs function
  * Add -version to synopsis in man page
  * Fix more sign-compare warnings
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Fix some 64-bit vs. 32-bit conversion errors.
  + Mark a couple parameters as unused to silence compiler warnings
  + Add const qualifiers to fix gcc -Wwrite-strings warnings.
  + Replace local checks for gcc with _X_NORETURN from
    xproto 7.0.17.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
- Replace pkgconfig(xorg-macros) with pkgconfig(xproto)
  BuildRequires, since this is what configure checks for now.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split ico from xorg-x11. Initial version: 1.0.3.
